Description

Al ejecutar el geoproceso Intersección crea una capa vacía y salta error sobre conversión de campos "Decimal".

Adjunto capas de ejemplo y el log.

Related issues:
Duplicated by Application: gvSIG desktop - gvSIG bugs # 5508: Al ejecutar el ... Closed 11/13/2020

Associated revisions
Revision 1853 - 12/23/2022 12:01 PM - Francisco Díaz Carsí

refs #5524, Fijado los Decimal de sextante a la precisión y escala por defecto

Revision 2889 - 12/23/2022 12:02 PM - Francisco Díaz Carsí

refs #5524, Fix compare precision in coerce to decimal

History
#1 - 01/19/2023 08:00 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

Se han encontrado dos problemas. 
Por un lado el geoproceso "confundía" los conceptos de precisión y escala intercambiando sus valores, y acabando teniendo siempre una escala de
cero. Esto se ha corregido en la medida de lo posible, asignando una escala y precisión por defecto cuando se desconocen.
Por otro lado había un problema en el proceso de conversión a Decimal para adaptarlo a la precisión y escala definidos en la columna del shape que
ha sido corregido.

#2 - 01/19/2023 08:02 PM - Joaquín  del Cerro Murciano
- Duplicated by gvSIG bugs #5508: Al ejecutar el enlace espacial no crea ninguna capa y salta error en la consola added
#3 - 08/03/2023 02:17 PM - Álvaro Anguix
- Status changed from Fixed to Closed
